import 'package:flutter_driver/flutter_driver.dart';

import 'src/restart_config.dart';

var _restartCounter = 0;

extension FlutterDriverExtensions on FlutterDriver {
  Future<String> restart([String config = ""]) async {
    final safeConfig = config ?? "";
    final newKey = "app-run-${_restartCounter++}";
    final restartConfig = RestartConfig(newKey, safeConfig);
    final result = await requestData(restartConfig.toString());
    final finder = find.byValueKey(newKey);
    await waitFor(finder);
    return result;
  }
}
